Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 685)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 686)
@@ -108,7 +108,7 @@
 import org.txm.concordance.rcp.actions.ViewPropertySelection;
 import org.txm.concordance.rcp.handlers.BackToTextCommand;
 import org.txm.concordance.rcp.handlers.DeleteLines;
-import org.txm.concordance.rcp.messages.Messages;
+import org.txm.concordance.rcp.messages.ConcordanceUIMessages;
 import org.txm.concordance.rcp.widgets.ComplexSortSelector;
 import org.txm.cooccurrence.rcp.messages.CooccurrenceUIMessages;
 import org.txm.core.preferences.TXMPreferences;
@@ -118,13 +118,13 @@
 import org.txm.objects.Page;
 import org.txm.rcp.IImageKeys;
 import org.txm.rcp.JobsTimer;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.TXMWindows;
 import org.txm.rcp.editors.TXMBrowser;
 import org.txm.rcp.editors.TXMEditor;
 import org.txm.rcp.editors.TXMResultEditorInput;
 import org.txm.rcp.editors.TableKeyListener;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.preferences.RCPPreferences;
 import org.txm.rcp.swt.dialog.ViewPropertySelectionDialog;
 import org.txm.rcp.swt.widget.AssistedQueryWidget;
@@ -444,11 +444,11 @@
 
 		referenceColumn = new TableColumn(viewer2.getTable(), SWT.LEFT);
 		refreshReferenceColumnTitle();
-		referenceColumn.setToolTipText(Messages.ConcordancesEditor_1);
+		referenceColumn.setToolTipText(ConcordanceUIMessages.ConcordancesEditor_1);
 		referenceColumn.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				StatusLine.setMessage(Messages.ConcordancesEditor_37);
+				StatusLine.setMessage(ConcordanceUIMessages.ConcordancesEditor_37);
 				LineComparator comparator = new PropertiesReferenceComparator();
 				if (viewer2.getTable().getSortColumn() != referenceColumn) {
 					viewer2.getTable().setSortColumn(null);
@@ -533,8 +533,8 @@
 
 		TableViewerColumn leftColumnViewer = new TableViewerColumn(viewer, SWT.RIGHT);
 		leftContextColumn = leftColumnViewer.getColumn();
-		leftContextColumn.setText(Messages.ConcordancesEditor_2);
-		leftContextColumn.setToolTipText(Messages.ConcordancesEditor_2);
+		leftContextColumn.setText(ConcordanceUIMessages.ConcordancesEditor_2);
+		leftContextColumn.setToolTipText(ConcordanceUIMessages.ConcordancesEditor_2);
 		leftContextColumn.setAlignment(SWT.RIGHT);
 		leftColumnViewer.setLabelProvider(new ColumnLabelProvider() {
 			@Override
@@ -546,7 +546,7 @@
 		leftContextColumn.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				StatusLine.setMessage(Messages.ConcordancesEditor_41);
+				StatusLine.setMessage(ConcordanceUIMessages.ConcordancesEditor_41);
 				LineComparator comparator = new LexicographicLeftContextComparator();
 				if (viewer.getTable().getSortColumn() != leftContextColumn) {
 					viewer.getTable().setSortColumn(leftContextColumn);
@@ -570,8 +570,8 @@
 
 		TableViewerColumn keywordColumnViewer = new TableViewerColumn(viewer, SWT.CENTER);
 		keywordColumn = keywordColumnViewer.getColumn();
-		keywordColumn.setText(Messages.ConcordancesEditor_3);
-		keywordColumn.setToolTipText(Messages.ConcordancesEditor_3);
+		keywordColumn.setText(ConcordanceUIMessages.ConcordancesEditor_3);
+		keywordColumn.setToolTipText(ConcordanceUIMessages.ConcordancesEditor_3);
 		keywordColumn.setAlignment(SWT.CENTER);
 		keywordColumnViewer.setLabelProvider(new ColumnLabelProvider() {
 			@Override
@@ -583,7 +583,7 @@
 		keywordColumn.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				StatusLine.setMessage(Messages.ConcordancesEditor_45);
+				StatusLine.setMessage(ConcordanceUIMessages.ConcordancesEditor_45);
 				LineComparator comparator = new LexicographicKeywordComparator();
 				if (viewer.getTable().getSortColumn() != keywordColumn) {
 					viewer.getTable().setSortColumn(keywordColumn);
@@ -608,8 +608,8 @@
 
 		TableViewerColumn rightContextColumnViewer = new TableViewerColumn(viewer, SWT.LEFT);
 		rightContextColumn = rightContextColumnViewer.getColumn();
-		rightContextColumn.setText(Messages.ConcordancesEditor_4);
-		rightContextColumn.setToolTipText(Messages.ConcordancesEditor_4);
+		rightContextColumn.setText(ConcordanceUIMessages.ConcordancesEditor_4);
+		rightContextColumn.setToolTipText(ConcordanceUIMessages.ConcordancesEditor_4);
 		rightContextColumn.setAlignment(SWT.LEFT);
 		rightContextColumnViewer.setLabelProvider(new ColumnLabelProvider() {
 			@Override
@@ -621,7 +621,7 @@
 		rightContextColumn.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				StatusLine.setMessage(Messages.ConcordancesEditor_48);
+				StatusLine.setMessage(ConcordanceUIMessages.ConcordancesEditor_48);
 				LineComparator comparator = new LexicographicRightContextComparator();
 
 				if (viewer.getTable().getSortColumn() != rightContextColumn) {
@@ -676,7 +676,7 @@
 		MouseListener ms = new MouseListener() {
 			@Override
 			public void mouseDoubleClick(MouseEvent e) {
-				StatusLine.setMessage(Messages.ConcordancesEditor_50);
+				StatusLine.setMessage(ConcordanceUIMessages.ConcordancesEditor_50);
 				backToText();
 				StatusLine.setMessage(""); //$NON-NLS-1$
 			}
@@ -792,7 +792,7 @@
 						this.runInit(monitor);
 						JobsTimer.start();
 						try {
-							monitor.beginTask(Messages.ConcordancesEditor_6, concordance.getNLines());
+							monitor.beginTask(ConcordanceUIMessages.ConcordancesEditor_6, concordance.getNLines());
 							concordance.setCurrentMonitor(this);
 							concordance.sort(currentComparator);
 							concordance.setTopIndex(0);
@@ -800,7 +800,7 @@
 							syncExec(new Runnable() {
 								@Override
 								public void run() {
-									StatusLine.setMessage(RCPMessages.SORT_DONE);
+									StatusLine.setMessage(TXMUIMessages.SORT_DONE);
 									fillDisplayArea();
 								}
 							});
@@ -808,7 +808,7 @@
 						} catch (ThreadDeath td) {
 							return Status.CANCEL_STATUS;
 						} catch (Exception e) {
-							System.err.println(NLS.bind(Messages.ERROR_WHILE_LOADING_CONCORDANCE_LINE, e));
+							System.err.println(NLS.bind(ConcordanceUIMessages.ERROR_WHILE_LOADING_CONCORDANCE_LINE, e));
 							org.txm.rcp.utils.Logger.printStackTrace(e);
 						} catch (Error e) {
 							System.err.println("Fatal error: "+e);
@@ -823,7 +823,7 @@
 
 				jobhandler.startJob();
 			} catch (Exception e) {
-				System.err.println(NLS.bind(Messages.ERROR_WHILE_LOADING_CONCORDANCE_LINE, e));
+				System.err.println(NLS.bind(ConcordanceUIMessages.ERROR_WHILE_LOADING_CONCORDANCE_LINE, e));
 				org.txm.rcp.utils.Logger.printStackTrace(e);
 			}
 		}
@@ -853,7 +853,7 @@
 			try {
 				lines = concordance.getLines(from, to);
 			} catch (Exception e) {
-				System.err.println(Messages.ERROR_WHILE_LOADING_CONCORDANCE_LINE+ e);
+				System.err.println(ConcordanceUIMessages.ERROR_WHILE_LOADING_CONCORDANCE_LINE+ e);
 				org.txm.rcp.utils.Logger.printStackTrace(e);
 			}
 		} else
@@ -947,7 +947,7 @@
 
 		// Query:
 		queryLabel = new Label(queryArea, SWT.NONE);
-		queryLabel.setText(RCPMessages.CreateSubcorpusDialog_10);
+		queryLabel.setText(TXMUIMessages.CreateSubcorpusDialog_10);
 		queryLabel.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false,
 				false));
 
@@ -995,7 +995,7 @@
 
 		// [Search]
 		Button go = new Button(queryArea, SWT.PUSH);
-		go.setText(RCPMessages.SEARCH);
+		go.setText(TXMUIMessages.SEARCH);
 
 		Font f = go.getFont();
 		FontData defaultFont = f.getFontData()[0];
@@ -1025,7 +1025,7 @@
 		deleteLineButton = new Button(navigationArea, SWT.PUSH);
 		deleteLineButton.setLayoutData(new GridData(GridData.FILL, GridData.FILL, false,
 				false));
-		deleteLineButton.setToolTipText(Messages.ConcordancesEditor_88);
+		deleteLineButton.setToolTipText(ConcordanceUIMessages.ConcordancesEditor_88);
 		deleteLineButton.setImage(IImageKeys.getImage(IImageKeys.CONCORDANCE_DELETE));
 		deleteLineButton.addSelectionListener(new SelectionListener() {
 			@Override
@@ -1121,7 +1121,7 @@
 	 * @param bottom
 	 */
 	public void updateEditorFromResult(boolean update) {
-		StatusLine.setMessage(Messages.ConcordancesEditor_56);
+		StatusLine.setMessage(ConcordanceUIMessages.ConcordancesEditor_56);
 		
 		//if (true)// concordance==null || concordance.getQuery()!=query)
 		try {
@@ -1139,14 +1139,14 @@
 			JobsTimer.stopAndPrint();
 
 		} catch (Exception e1) {
-			System.out.println(RCPMessages.CorporaView_3+" "+Log.toString(e1)); //$NON-NLS-1$
+			System.out.println(TXMUIMessages.CorporaView_3+" "+Log.toString(e1)); //$NON-NLS-1$
 			//System.err.println(Messages.CorporaView_3);
 			org.txm.rcp.utils.Logger.printStackTrace(e1);
 			try {
-				System.out.println(RCPMessages.LastCQPError+CQPEngine.getCqiClient().getLastCQPError());
-				Log.severe(RCPMessages.LastCQPError+CQPEngine.getCqiClient().getLastCQPError());
+				System.out.println(TXMUIMessages.LastCQPError+CQPEngine.getCqiClient().getLastCQPError());
+				Log.severe(TXMUIMessages.LastCQPError+CQPEngine.getCqiClient().getLastCQPError());
 			} catch (Exception e2) {
-				System.out.println(Messages.ConcordancesEditor_7+e2);
+				System.out.println(ConcordanceUIMessages.ConcordancesEditor_7+e2);
 				org.txm.rcp.utils.Logger.printStackTrace(e1);
 				Log.severe(Log.toString(e1));
 			}
@@ -1842,7 +1842,7 @@
 			IConfigurationElement[] config = Platform.getExtensionRegistry()
 					.getConfigurationElementsFor(BACKTOTEXT_COMMAND_ID);
 			for (IConfigurationElement e : config) {
-				Object o = e.createExecutableExtension(Messages.ConcordancesEditor_78);
+				Object o = e.createExecutableExtension(ConcordanceUIMessages.ConcordancesEditor_78);
 				if (o instanceof BackToTextCommand) {
 					return ((BackToTextCommand) o).backToText(this, line.getMatch());
 				}
@@ -1862,7 +1862,7 @@
 
 			IWorkbenchPage page = TXMWindows.getActiveWindow().getActivePage();
 
-			StatusLine.setMessage(RCPMessages.ComputeReferencer_0);
+			StatusLine.setMessage(TXMUIMessages.ComputeReferencer_0);
 			InternalViewEditor editor = (InternalViewEditor)page.openEditor(editorInput,InternalViewEditor.class.getName()); //$NON-NLS-1$
 			editor.backToText(line);
 			SWTEditorsUtils.addEditor(this, editor, EModelService.ABOVE);
Index: tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/preferences/JFCChartsEnginePreferencePage.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/preferences/JFCChartsEnginePreferencePage.java	(revision 685)
+++ tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/preferences/JFCChartsEnginePreferencePage.java	(revision 686)
@@ -107,7 +107,7 @@
 			
 			
 		} catch (Exception e) {
-			System.err.println(org.txm.rcp.RCPMessages.FAILED_TO_SAVE_PREFERENCES + e);
+			System.err.println(org.txm.rcp.messages.TXMUIMessages.FAILED_TO_SAVE_PREFERENCES + e);
 		}
 		return true;
 	}
Index: tmp/org.txm.core/src/java/org/txm/core/preferences/TBXPreferences.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/preferences/TBXPreferences.java	(revision 685)
+++ tmp/org.txm.core/src/java/org/txm/core/preferences/TBXPreferences.java	(revision 686)
@@ -39,13 +39,6 @@
 	/** The Constant USER_TXM_HOME. */
 	public static final String USER_TXM_HOME = "user_txm_home"; //$NON-NLS-1$
 
-	/** The Constant TREETAGGER_INSTALL_PATH. */
-	public static final String TREETAGGER_INSTALL_PATH = "treetagger_install_path"; //$NON-NLS-1$
-	/** The Constant TREETAGGER_MODELS_PATH. */
-	public static final String TREETAGGER_MODELS_PATH = "treetagger_models_path"; //$NON-NLS-1$
-	public static final String TREETAGGER_OPTIONS = "treetagger_options"; //$NON-NLS-1$
-	public static final String TREETAGGER_APOSTROPHE = "treetagger_fix_apostrophes"; //$NON-NLS-1$
-
 	public static final String METADATA_ENCODING = "metadata_encoding"; //$NON-NLS-1$
 	public static final String METADATA_COLSEPARATOR = "metadata_colseparator"; //$NON-NLS-1$
 	public static final String METADATA_TXTSEPARATOR = "metadata_txtseparator"; //$NON-NLS-1$
@@ -91,10 +84,6 @@
 		preferences.putBoolean(TBXPreferences.LOG_IN_FILE, false); //$NON-NLS-1$
 		preferences.put(TBXPreferences.UI_LOCALE, "fr"); //$NON-NLS-1$
 		
-		preferences.put(TBXPreferences.TREETAGGER_INSTALL_PATH, System.getProperty("osgi.user.area") + "/TXM/treetagger"); //$NON-NLS-1$ //$NON-NLS-2$
-		preferences.put(TBXPreferences.TREETAGGER_MODELS_PATH, TXMPreferences.getString(TBXPreferences.TREETAGGER_INSTALL_PATH, TBXPreferences.PREFERENCES_NODE) + "/models"); //$NON-NLS-1$
-		preferences.put(TBXPreferences.TREETAGGER_APOSTROPHE, "false"); //$NON-NLS-1$
-		
 		preferences.put(TBXPreferences.METADATA_ENCODING, "UTF-8"); //$NON-NLS-1$
 		preferences.put(TBXPreferences.METADATA_TXTSEPARATOR, "\""); //$NON-NLS-1$
 		
Index: tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java	(revision 685)
+++ tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java	(revision 686)
@@ -14,6 +14,23 @@
 
 	private static final String BUNDLE_NAME = "org.txm.core.messages.messages"; //$NON-NLS-1$
 	
+	
+	
+	
+	public static String common_strucutralUnit;
+	public static String common_description;
+	public static String common_structure;
+	public static String common_queries;
+	
+
+	public static String common_units;
+	public static String common_delete;
+	public static String common_ok;
+	public static String common_mode;
+	
+	public static String common_pleaseWait;
+
+	
 	public static String ApplicationWorkbenchAdvisor_15;
 	public static String ApplicationWorkbenchAdvisor_14;
 	public static String ApplicationWorkbenchAdvisor_6;
@@ -31,7 +48,6 @@
 	public static String COMPUTE_DONE_NO_RESULT;
 
 	
-	
 	public static String FAILED;
 	public static String DONE;			
 	public static String AbsoluteFrequency_1;
@@ -98,34 +114,6 @@
 	public static String DROP_PARTITION;
 	public static String DROP_QUERYRESULT;
 	public static String DROP_SUBCORPUS;
-	public static String Diagnostic_0;
-	public static String Diagnostic_1;
-	public static String Diagnostic_10;
-	public static String Diagnostic_11;
-	public static String Diagnostic_12;
-	public static String Diagnostic_13;
-	public static String Diagnostic_14;
-	public static String Diagnostic_15;
-	public static String Diagnostic_16;
-	public static String Diagnostic_17;
-	public static String Diagnostic_18;
-	public static String Diagnostic_19;
-	public static String Diagnostic_2;
-	public static String Diagnostic_20;
-	public static String Diagnostic_22;
-	public static String Diagnostic_23;
-	public static String Diagnostic_26;
-	public static String Diagnostic_3;
-	public static String Diagnostic_4;
-	public static String Diagnostic_40;
-	public static String Diagnostic_41;
-	public static String Diagnostic_43;
-	public static String Diagnostic_49;
-	public static String Diagnostic_5;
-	public static String Diagnostic_6;
-	public static String Diagnostic_7;
-	public static String Diagnostic_8;
-	public static String Diagnostic_9;
 	public static String END_SUBCORPUS_LEXICON;
 	public static String END_SUBCORPUS_SIZE;
 	public static String EVALUATED_EXPRESSION;
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChart.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChart.java	(revision 685)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChart.java	(revision 686)
@@ -47,10 +47,10 @@
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.rcp.JobsTimer;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.commands.OpenGraph;
 import org.txm.rcp.handlers.BaseAbstractHandler;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.swt.dialog.LastOpened;
 import org.txm.rcp.utils.JobHandler;
 
@@ -117,28 +117,28 @@
 			try {
 				file.createNewFile();
 			} catch (IOException e1) {
-				System.err.println(NLS.bind(RCPMessages.ExportResult_3, file, e1));
+				System.err.println(NLS.bind(TXMUIMessages.ExportResult_3, file, e1));
 			}
 			if (!file.canWrite()) {
-				System.err.println(NLS.bind(RCPMessages.ExportResult_5, file));
+				System.err.println(NLS.bind(TXMUIMessages.ExportResult_5, file));
 			}
 			if (!file.isFile()) {
 				System.err.println("Error: " + file + " is not a file"); //$NON-NLS-1$ //$NON-NLS-2$
 			}
 
-			JobHandler jobhandler = new JobHandler(RCPMessages.ExportResult_0) {
+			JobHandler jobhandler = new JobHandler(TXMUIMessages.ExportResult_0) {
 				@Override
 				protected IStatus run(IProgressMonitor monitor) {
 					try {
 						this.runInit(monitor);
-						monitor.beginTask(RCPMessages.ExportResult_1, 100);
+						monitor.beginTask(TXMUIMessages.ExportResult_1, 100);
 
 						String outputFormat = SWTChartsComponentsProvider.getCurrent().getChartsEngineSupportedExportFileFormats().get(dialog.getFilterIndex());
 						ChartsEngine.getCurrent().createChartFile(chartResult, file, outputFormat);
 
 						if (file.exists()) {
 
-							System.out.println(NLS.bind(RCPMessages.ExportResult_2, file.getAbsolutePath(), outputFormat.toUpperCase()));
+							System.out.println(NLS.bind(TXMUIMessages.ExportResult_2, file.getAbsolutePath(), outputFormat.toUpperCase()));
 
 							// Open internal editor in the UI thread
 							if (TXMPreferences.getBoolean(TBXPreferences.EXPORT_SHOW, TBXPreferences.PREFERENCES_NODE))	{
@@ -150,7 +150,7 @@
 								});
 							}
 						} else {
-							System.out.println(NLS.bind(RCPMessages.ExportResult_4, file.getAbsolutePath(), outputFormat));
+							System.out.println(NLS.bind(TXMUIMessages.ExportResult_4, file.getAbsolutePath(), outputFormat));
 						}
 					} catch (ThreadDeath td) {
 						return Status.CANCEL_STATUS;
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChartEditorView.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChartEditorView.java	(revision 685)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChartEditorView.java	(revision 686)
@@ -33,6 +33,7 @@
 
 
 
+
 import org.eclipse.core.commands.AbstractHandler;
 import org.eclipse.core.commands.ExecutionEvent;
 import org.eclipse.core.commands.ExecutionException;
@@ -52,9 +53,9 @@
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.rcp.JobsTimer;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.commands.OpenGraph;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.swt.dialog.LastOpened;
 import org.txm.rcp.utils.JobHandler;
 
@@ -128,28 +129,28 @@
 				file.createNewFile();
 			}
 			catch(IOException e1) {
-				System.err.println(NLS.bind(RCPMessages.ExportResult_3, file, e1));
+				System.err.println(NLS.bind(TXMUIMessages.ExportResult_3, file, e1));
 			}
 			if(!file.canWrite()) {
-				System.err.println(NLS.bind(RCPMessages.ExportResult_5, file));
+				System.err.println(NLS.bind(TXMUIMessages.ExportResult_5, file));
 			}
 			if(!file.isFile()) {
 				System.err.println("Error: " + file + " is not a file"); //$NON-NLS-1$ //$NON-NLS-2$
 			}
 
-			JobHandler jobhandler = new JobHandler(RCPMessages.ExportResult_0) {
+			JobHandler jobhandler = new JobHandler(TXMUIMessages.ExportResult_0) {
 				@Override
 				protected IStatus run(IProgressMonitor monitor) {
 					try {
 						this.runInit(monitor);
-						monitor.beginTask(RCPMessages.ExportResult_1, 100);
+						monitor.beginTask(TXMUIMessages.ExportResult_1, 100);
 
 						String outputFormat = chartEditor.getSWTChartsComponentsProvider().getEditorSupportedExportFileFormats().get(dialog.getFilterIndex());
 						chartEditor.exportView(file, outputFormat);
 
 						if(file.exists()) {
 
-							System.out.println(NLS.bind(RCPMessages.ExportResult_2, file.getAbsolutePath(), outputFormat.toUpperCase()));
+							System.out.println(NLS.bind(TXMUIMessages.ExportResult_2, file.getAbsolutePath(), outputFormat.toUpperCase()));
 
 							// Open internal editor in the UI thread
 							if(TXMPreferences.getBoolean(TBXPreferences.EXPORT_SHOW, TBXPreferences.PREFERENCES_NODE))	{
@@ -162,7 +163,7 @@
 							}
 						}
 						else {
-							System.out.println(NLS.bind(RCPMessages.ExportResult_4, file.getAbsolutePath(), outputFormat));
+							System.out.println(NLS.bind(TXMUIMessages.ExportResult_4, file.getAbsolutePath(), outputFormat));
 						}
 					}
 					catch(ThreadDeath td) {
Index: tmp/org.txm.annotation.rcp/src/org/txm/annotation/rcp/views/knowledgerepositories/KRView.java
===================================================================
--- tmp/org.txm.annotation.rcp/src/org/txm/annotation/rcp/views/knowledgerepositories/KRView.java	(revision 685)
+++ tmp/org.txm.annotation.rcp/src/org/txm/annotation/rcp/views/knowledgerepositories/KRView.java	(revision 686)
@@ -42,6 +42,7 @@
 
 
 
+
 import org.eclipse.jface.action.MenuManager;
 import org.eclipse.jface.viewers.AbstractTreeViewer;
 import org.eclipse.jface.viewers.DoubleClickEvent;
@@ -80,7 +81,7 @@
 import org.txm.annotation.rcp.commands.krview.Informations;
 import org.txm.annotation.rcp.commands.krview.Reload;
 import org.txm.rcp.IImageKeys;
-import org.txm.rcp.RCPMessages;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.CorpusManager;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
@@ -238,7 +239,7 @@
 				return ((AnnotationType) element).getId()+((AnnotationType) element).getEffect().toSuffix();
 			else if (element instanceof TypedValue)
 				return ((TypedValue) element).getStandardName();
-			return NLS.bind(RCPMessages.QueriesView_10, element);
+			return NLS.bind(TXMUIMessages.QueriesView_10, element);
 		}
 
 		/* (non-Javadoc)
